## SLPSetProperty

### Declaration

`#include <slp.h>`

`void SLPSetProperty( const char* name,`
`const char* value )`

### Description

This function is supposed to allow the caller to set SLP properties, but it is impossible to implement this function along with SLPGetProperty() in a way that is even remotely thread safe. Therefore, OpenSLP completely ignores all calls made to `SLPSetProperty()` so that SLPGetProperty() can be used in threaded applications.

### Parameters

`name` | Pointer to the name of a net.slp property to set. See OpenSLP Users Guide for a list of supported properties
`value` | Pointer to the new string value.

### Returns

None

### Status

OpenSLP 0.8.0 | Not implemented. See Notes.

### Notes

For some reason the SLP API writers decided to make SLPGetProperty() and SLPSetProperty() calls impossible to implement in a thread safe manner. For this reason OpenSLP only allows read only access to SLP properties. Properties are read into static data structures when the process loads, and never changed so at least SLPGetProperty() can be called from threaded applications.

Some discussions have taken place on the srvloc mailing list and it looks like the SLP API will be revised to solve this problem. Until this time OpenSLP will not implement SLPSetProperty().

### See Also

SLPGetProperty(), Open SLP Users Guide